Module java.base
Package java.nio.file

# Enum Class AccessMode

java.lang.Object
java.lang.Enum<AccessMode>
java.nio.file.AccessMode

All Implemented Interfaces:
  `Serializable`, `Comparable<AccessMode>`, `Constable`

public enum AccessMode extends Enum<AccessMode>
Defines access modes used to test the accessibility of a file.

Since:
  1.7

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXECUTE`
Test execute access.
`READ`
Test read access.
`WRITE`
Test write access.

## Method Summary

Modifier and Type
Method
Description
`static AccessMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AccessMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### READ

public static final AccessMode READ
Test read access.

### WRITE

public static final AccessMode WRITE
Test write access.

### EXECUTE

public static final AccessMode EXECUTE
Test execute access.

## Method Details

### values

public static AccessMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AccessMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null